package com.mints.goodmoney.mvp.model;

import java.io.Serializable;
import java.util.List;

/**
 * 描述：提现记录
 * 作者：孟崔广
 * 时间：2019/10/29 18:42
 * 邮箱：mengcga@163.com
 */
public class DrawcashRecordBean implements Serializable {

    private List<RecordsBean> records;

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public class RecordsBean implements Serializable {
        /**
         * newCash : 67.9
         * cashId : 1192015331518976000
         * createTime : 1573033576
         * accountName : 兔兔
         * updateTime : 1573033577
         * oldCash : 68
         * cash : 0.1
         * account : 18311400069
         * status : 3
         */

        private double newCash;
        private long cashId;
        private long createTime;
        private String accountName;
        private String payChannel;
        private long updateTime;
        private double oldCash;
        private double cash;
        private String account;
        private String errormsg;
        private int status;// 0/1-支付中 2-suc 3-fail

        public double getNewCash() {
            return newCash;
        }

        public void setNewCash(double newCash) {
            this.newCash = newCash;
        }

        public long getCashId() {
            return cashId;
        }

        public void setCashId(long cashId) {
            this.cashId = cashId;
        }

        public long getCreateTime() {
            return createTime;
        }

        public void setCreateTime(int createTime) {
            this.createTime = createTime;
        }

        public String getAccountName() {
            return accountName;
        }

        public void setAccountName(String accountName) {
            this.accountName = accountName;
        }

        public long getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(int updateTime) {
            this.updateTime = updateTime;
        }

        public double getOldCash() {
            return oldCash;
        }

        public void setOldCash(double oldCash) {
            this.oldCash = oldCash;
        }

        public double getCash() {
            return cash;
        }

        public void setCash(double cash) {
            this.cash = cash;
        }

        public String getErrormsg() {
            return errormsg;
        }

        public void setErrormsg(String errormsg) {
            this.errormsg = errormsg;
        }

        public String getAccount() {
            return account;
        }

        public void setAccount(String account) {
            this.account = account;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public String getPayChannel() {
            return payChannel;
        }

        public void setPayChannel(String payChannel) {
            this.payChannel = payChannel;
        }
    }
}
